<?php
/*
 * Copyright (c) 2013, webvariants GbR, http://www.webvariants.de
 *
 * This file is released under the terms of the MIT license. You can find the
 * complete text in the attached LICENSE file or online at:
 *
 * http://www.opensource.org/licenses/mit-license.php
 */

namespace wv\metainfo;

use wv\metainfo\Metainfo;
use wv\metainfo\Property\Property;

abstract class Util {
	public static function createProperty($type, $name, array $property) {
		return Property::factory($type, $name, $property);
	}

	/**
	 * gets the config key for a type int
	 *
	 * @param  int $type
	 * @return string
	 */
	public static function mapTypeToConfig($type) {
		$map = array(
			Metainfo::TYPE_ARTICLE  => 'articles',
			Metainfo::TYPE_CATEGORY => 'categories',
			Metainfo::TYPE_MEDIUM   => 'media',
			Metainfo::TYPE_USER     => 'users'
		);

		return $map[$type];
	}
}
